Package protocolP2P

## Class FileList

- java.lang.Object
- - protocolP2P.Payload
  - - protocolP2P.FileList

    public class FileList
    extends Payload

Representation of payload for list response.

Version:
  1.0
Author:
  Louis Royer, Flavien Haas, JS Auge

### Constructor Summary

Constructors
`FileList​(java.lang.String[] fileList)` Constructor (typically used by the server) with an ArrayList parameter containing filenames.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getFileList()` fileList getter.

### Methods inherited from class protocolP2P.Payload

`getRequestResponseCode`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileList

    public FileList​(java.lang.String[] fileList)
             throws InternalError

Constructor (typically used by the server) with an ArrayList parameter containing filenames.

Parameters:
  `fileList` - a list of files. Must not be empty.
Throws:
  `InternalError`

### Method Detail

#### getFileList

    public java.lang.String[] getFileList()

fileList getter.

Returns:
  fileList